Subject: bug#10819: [BUG][RM]

From: Davide Brini <[email-masked]>
Date: Thu, 16 Feb 2012 09:30:20 +0100

On Wed, 15 Feb 2012 15:06:05 -0700, Eric Blake <[email-masked]> wrote:

> tag 10819 needinfo
> thanks
> 
> On 02/15/2012 08:05 AM, [email-masked] wrote:
> > Hello,
> > 
> > I'm writing to you to inform you of a possible bug in the linux "rm"
> > command.
> > I've experienced that when using by error the said command as
> > following : "rm - rf#*"
> 
> That's (probably) not a valid command.  By putting a space between - and
> r, you are asking rm to remove the literal files named "-" and any files
> that match the glob "rf#*".  Did you mean to type "rm -rf #*" instead,
> which says to recursively and without warning remove any files that
> match the glob "#*"?

At least in bash, but I suppose in other shells too,

rm -rf #*

treats the "#*" part as a comment, and (if you remove the "-f") complains
about missing operand to rm.

-- 
D.